# Installation

## Downloading Dependencies

Dependencies are very important — you need to install them before moving on to the installation of our script.

{% stepper %}
{% step %}

### Create Items

{% content-ref url="create-items" %}
[create-items](https://docs.otherplanet.dev/scripts/op-gangs/create-items)
{% endcontent-ref %}
{% endstep %}

{% step %}

### PolyZone

{% embed url="<https://github.com/mkafrin/PolyZone>" %}
{% endstep %}

{% step %}

### ox\_lib

{% embed url="<https://github.com/overextended/ox_lib>" %}
{% endstep %}

{% step %}

### fivem-freecam

{% embed url="<https://github.com/Deltanic/fivem-freecam>" %}
{% endstep %}

{% step %}

### Rope Prop (Optional)

{% embed url="<https://forum.cfx.re/t/props-rope-cuffs-and-a-gag/5313909>" %}
{% endstep %}

{% step %}

### OP Drug Selling (Optional)

This is Drug Selling script which is completly free and have many functions!

{% embed url="<https://github.com/Bagietame/op-drugselling>" %}
{% endstep %}

{% step %}

### fivem-greenscreener (optional)

Install this dependency only on your Test Server if you want to complete Furnitures Images Screenshots!

{% embed url="<https://github.com/Bentix-cs/fivem-greenscreener>" %}
{% endstep %}

{% step %}

### screenshot-basic (optional)

Install this dependency only on your Test Server if you want to complete Furnitures Images Screenshots!

{% embed url="<https://github.com/citizenfx/screenshot-basic>" %}
{% endstep %}
{% endstepper %}

***

## Server.cfg

All dependencies you’ve installed must be started before our script. Make sure to follow the correct start-up order in your `server.cfg`.

```
# REQUIRED:

ensure PolyZone
ensure ox_lib
ensure op-crime

# OPTIONAL:

ensure screenshot-basic
ensure fivem-greenscreener
ensure bzzz_gag
ensure op-drugselling
```

***

## Permissions

It's important to grant your server administrators access to our Crime Admin. Don’t forget to add them to your `mainConfig.lua` as well!

```lua
Config.AdminPanelPlayers = {
    ['char1:7e0ec7b80d186fd8c29f6631e4377e75812fe8fd'] = true
}
```

***

## Database

The script will automatically create its own database on first start-up.

***

## Integration for Qbcore and Qbox

Complete additional integration dedicated for QbCore and QBox if you want to properly display gang name, ids etc. in other scripts.

{% content-ref url="qb-core-and-qbox" %}
[qb-core-and-qbox](https://docs.otherplanet.dev/scripts/op-gangs/qb-core-and-qbox)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otherplanet.dev/scripts/op-gangs/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
